<?php
$pickup_id_list = get_option('nmd_carousel_entry_id', false);

if (empty($pickup_id_list)) return;

$pickup_id_list = nmd_comma_separated_to_array($pickup_id_list);

?>

<div class="entries-carousel">
    <div class="slider">
        <div class="swiper-carousel">
            <div class="swiper-wrapper">
                <?php foreach ($pickup_id_list as $post_id) : ?>
                    <?php
                    $post_data        = get_post($post_id);
                    $datetime        = get_the_date('Y-m-d', $post_id);
                    $datetime_text    = get_the_date('Y.m.d', $post_id);
                    $update_time    = get_the_modified_date('Y-m-d', $post_id);
                    $title            = $post_data->post_title;
                    $title        = nmd_mb_substr_text($title, 26);
                    $thumbs_url    = nmd_get_thumbnail_url($post_id, 'medium_large');

                    $category = get_the_category($post_id);
                    $permalink = get_the_permalink($post_id);
                    ?>
                    <div class="swiper-slide">
                        <a href="<?php echo $permalink; ?>" class="carousel-item">
                            <article class="carousel-item__card">
                                <figure class="carousel-item__thumb">
                                    <img src="<?php echo $thumbs_url; ?>" alt="<?php echo $title; ?>" />
                                </figure>
                                <div class="carousel-item-body">
                                    <?php if (!empty($category[0])) : ?>
                                        <span class="carousel-item-body__label"><?php echo $category[0]->name; ?></span>
                                    <?php endif; ?>
                                    <h2 class="carousel-item-body__title">
                                        <?php echo $title; ?>
                                    </h2>
                                    <span class="carousel-item-body__date">
                                        <time datetime="<?php echo $datetime; ?>"><?php echo $datetime_text; ?></time>
                                    </span>
                                </div>
                            </article>
                        </a>

                    </div>
                <?php endforeach; ?>
            </div>
            <div class="arrow-content">
                <div class="swiper-button-prev"></div>
                <div class="swiper-button-next"></div>
            </div>
        </div>
    </div>
</div>