<?php

/**
 * インフィード広告のHTMLを返す
 * @param string $adsense_code アドセンスのHTML
 * @return string
 * @version 1.0.0
 */
if ( !function_exists( 'nmd_infeed_ad_html' ) ) {
	function nmd_infeed_ad_html( $adsense_code ) {

		$src = false;
		$ins = false;
		if ( !empty( get_option( 'nmd_adsense_available_lazyload', false ) ) ) {
		
			$adsense_code = str_replace( array("\r\n", "\r", "\n"), "", $adsense_code );

			$pattern = '/<script.*?src\s*=\s*[\"|\'](.*?)[\"|\'].*?>/i';
			if ( preg_match( $pattern, $adsense_code, $matches) ) {
				$src = $matches[1];
			}

			$pattern2 = '/<ins.*?<\/ins>/';
			if ( preg_match( $pattern2, $adsense_code, $matches) ) {
				$ins = $matches[0];
			}
		}

		if ( $src && $ins ) {
			$adcode = '<div class="infeed-ad" data-adsrc="' . $src . '">' . $ins . '</div>';
		} else {
			$adcode = '<div class="infeed-ad">' . $adsense_code . '</div>';
		}
		return $adcode;
	}
}