<?php
/**
 * カスタマイザーの設定
 */
if ( ! defined( 'ABSPATH' ) ) {
	exit;
}

if( ! function_exists( 'nmd_customizer_register_header_image' ) ) {
	function nmd_customizer_register_header_image( $wp_customize ) {
		/**
		 * ヘッダー画像の設定
		 */
		$wp_customize->add_setting( 'nmd_header_image_retina', array(
			'sanitize_callback'	=> 'nmd_sanitize_cropped_image',
			'type'				=> 'theme_mod',
		) );
		$wp_customize->add_control( new WP_Customize_Cropped_Image_Control($wp_customize,'nmd_header_image_retina', array(
			'label'			=> 'Retina用のヘッダー画像',
			'description'	=> 'Retinaディスプレイ用に大きめの画像を設定できます。<br>2400x810でピッタリ表示されます。<br>※↑のヘッダー画像が設定されていないと表示されません',
			'section'		=> 'header_image',
			'settings'		=> 'nmd_header_image_retina',
			'width'			=> 2732,
			'height'		=> 910,
			'flex_width'	=> false,
			'flex_height'	=> false,
		) ) );

		$wp_customize->add_setting( 'nmd_sp_header_image', array(
			'sanitize_callback'	=> 'nmd_sanitize_cropped_image',
			'type'				=> 'theme_mod',
		) );
		$wp_customize->add_control( new WP_Customize_Cropped_Image_Control($wp_customize,'nmd_sp_header_image', array(
			'label'			=> 'モバイルヘッダー画像',
			'description'	=> 'モバイル用のヘッダー画像を設定できます。<br>780x260でピッタリ表示されます。',
			'section'		=> 'header_image',
			'settings'		=> 'nmd_sp_header_image',
			'width'			=> 780,
			'height'		=> 260,
			'flex_width'	=> false,
			'flex_height'	=> false,
		) ) );
	}
	add_action( 'customize_register', 'nmd_customizer_register_header_image' );
}